package com.bonus.file.service;

import org.springframework.web.multipart.MultipartFile;

/**
 * 文件上传接口
 * 
 * @author bonus
 */
public interface ISysFileService
{
    /**
     * 文件上传接口
     * 
     * @param file 上传的文件
     * @return 访问地址
     * @throws Exception
     */
    public String uploadFile(MultipartFile file) throws Exception;


    public boolean downloadFile(String urlStr, String destination) throws Exception;


    public boolean deleteFile(String urlStr) throws Exception;

}
